/*
 * Asynchronous Engine .
 *
 * Copyright (C) 2004 Claude Hussenet
 * Contact : chussenet@yahoo.com
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package test.asynchronous;

/**
 *
 * @version <tt>$Revision: 1.3.4.3 $</tt>
 * @author  <a href="mailto:chussenet@yahoo.com">{Claude Hussenet Independent Consultant}</a>.
 */

public class BusinessModelWithCleanupWithParameters extends BusinessModel {
	public BusinessModelWithCleanupWithParameters() {}
	/**
	 * @@org.jboss.aspects.asynchronous.aspects.jboss.Asynchronous
	 */
	public BusinessModelWithCleanupWithParameters(long sleepTime) {
		super(sleepTime);
	}
	public void cleanup(long sleepTime, Parameter parameter) {
		System.out.println("BusinessModelWithCleanupWithParameters Cleanup");
		bCleanupCalled = true;
	}
}
